本メモ書きは内容のネタバレを含みます。
また、作成する内容をTODOとして事前に書き下し、のちにリライトするという書き方をしています。もしかしたら齟齬があるかもしれません。

# 武器バランス
HEL RifleはChargerを主体とするウェーブに対して強すぎると考えています。フォールオフの開始を速くして、Chargerが1発で倒せるレンジを落とすことにしました。少しだけ埋め合わせの強化をしているので、総合的なパワーは変わっていないはずです。

HEL Shotgunは現在、得られるリターンこそ高いものの、リロードの長さが足を引っ張っているという印象です。そこで、マガジンサイズとリロード時間を共に半分にすることにしました。

Sawed-Off Shotgunは、武器のバランス調整の実験として数字をいじっていたものです。どのような変更をしたかが記憶にありません。多分少し強くなっています。

他は適当です




## Butterfly: 因果
本項を読むことは、この遠征についての重大なネタバレを含みます。


Co-opゲームというのはL4D以来、再現性のない状況を生み出すことでリプレイ性を担保してきました。
しかし本質的には、再現性のない状況でのチームワークという物には限度があります。
L4Dライクのゲームを何本もプレイしましたが、そのいずれも究極は個人技の再現性を高めることがベストな選択肢でした。
GTFOというゲームはそこに待ったをかけ、チームワークの再現性を要求するゲームだと考えています。
では、GTFOで再現性のない状況を与えた時、何が起こるのでしょうか。
Cortex Starは、私の興味によって作られる実験的遠征群です。

## Main
当初、Cortex Starは3遠征になる予定でした。Invincible, Butterfly, Starlink(現Enlighten)です。
Starlinkは削ったり足したりしてEnlightenに生まれ変わりましたが、Butterflyだけは途中でアイデア自体を没にしていました。
作るのが難しすぎるテーマだったためです。加えて、面白い内容にする方法も思いつきませんでした。
その後、初回リリースの4遠征時点で、EvaluateとTransferはえいやでリリースしました。
Evaluateははっきり言って面白くありません。プレイした人の評判もよくありませんでした。
Transferは当初バランスが完全に崩壊していて、攻略PTは1PTしか聞いていません。今はNerfしました。またBuffしましたけど。
むしろ1PT出たのです。そこで、私はEnlightenとCurseを現実的な難易度でリリースする一方、Butterflyを同様にえいやしようと決断しました。
そして新しく考え直すうちに、良いアイデアが浮かびました。さらに公式におあつらえ向きの機能が実装されます。
Butterflyのデザイン上の壁は、最後は遠征目標をクリアして脱出することに収束してしまう点でした。
収束が良くないなら発散させればよいのです。これにより、現在のButterflyの目標が生まれました。


# 思想
私の思想として、理論上クリア可能である前提でなら、ゲームの制作側が必ず全ステージをクリアしている必要は無いと考えています。つまり、全ステージ弾が足りるだろうことだけ確認しました。

## Evaluate: 評価
思うに、攻略が確立していない段階においてターミナルを使ったルートの評価はチームのプラン立案の骨子であるはずです。MODステージはリプレイされる可能性が低いですから、リプレイ性を切ってでもその辺りを問う内容を作りたいと考えました。

### Main
IDの配置はランダム性を強く持たせています。投下毎に最短ルートは異なるでしょう。毎回ターミナルで確認するのが面倒ですが、そこは効率的なターミナルの打ち方を考えて欲しいのと、前述のリプレイ性を切った部分です。恐らく一度クリアしたらもう二度とプレイされないでしょう。

## Devotion: 信心
作戦立案のアプローチの一つとして、「確定要素」から積み上げていく方法があります。GTFOではツールがその枠に当てはまる事が多いでしょう。そういった確定要素、または確定とするほかない要素への信心を問う内容を揃えたつもりです。
### Main
セントリー、マイン、C-Foamそれぞれに強力な役割が付くようデザインした3部屋から構成されています。当初は各ルート3ゾーンほどで、1人セントリーいれば抜けられる部屋、2人セントリーが欲しい部屋、3人欲しい…というふうに設定し、Ovは全てのルートの3人欲しい部屋まで突破することを目標とする構想でした。主にマインでそのようなデザインが無理でしたし、セントリー側もダラダラとした内容になり良くなかったのでボツとなりました。

### Secondary
ところで、MainではBio Trackerへの言及がありませんでした。SecondaryはBio Trackerに焦点をあてた内容です。Devotionは比較的早期に完成されたステージで、このころからCharger Scoutを混入させる悪癖がありました。移動速度で見分けるのも技術の内ということでどうでしょうか。

### Overload
Mainで述べた通り、ここは当初このような内容の予定ではありませんでした。それが没となった後、ツール以外にも信心を持つべき対象を思いつきました。プレイヤーと銃です。Mother2体を同部屋に置き、これを試すことにしました。


## Invincible: 無敵
いくつかのゲームの「高難易度モード」は、HPが意味を成していない事があります。曰く、一発即死です。私はそういうのが好きではなく、1ミスくらいは許すべきと考えます。しかしプレイヤー側は、1ミスも許さないつもりで臨むべきです。

### Main
ここは一番最初に作ったステージです。練習だったのもありシンプルな内容ですが、HPが常時20の状態と考えるとリスクの付きまとう内容にまとまっているかと思います。
ちなみに、当初はTankが2体いたりHSU部屋にShadowを20体ほど配置していたりしました。アホですね。

### Secondary
いくつかのステージ構想を練るうちに、そのうちの一つがInvincibleと被る事に気づきました。そうしてできたのがこのSecondaryです。当初のコンセプト名は"Dodge"でした。MainでもFlyerの弾回避はやっていますね。

### Overload
Invincibleの内容について考えている時に、R7C2Ovが脳内をよぎりました。地形にもそれが出ています。ベビーを出したいこと、ベビーが出るならHP1は不可能に近いこと、あちらで可能なヘルスドーピングをこちらは制限していることも考え、色々と試してこの形に落ち着きました。


## Transfer: 乗換
作戦というのは、切替の瞬間が最も大変です。集合と分散、攻めと守りの切替は司令塔が正しくなければならず、チーム全員が適切な個人技を持っている必要もあります。このステージは、想定攻略を全く用意せず制作しました。皆様の判断を参考にさせていただきたいと思います。

### Main
CLASS X ALARMって文の雰囲気がかっこよくないですか？なので他の1文字になる数字をと思ったんですが、次のLはまさかの50なんですよね。でもまいっか。CLASS L ALARMっと…
あ、「別の立坑に移動するのが目的で、スタートから扉数枚程度でゴールに付く」ステージの構想があるな、これにくっつけちゃおう。こうしてTransferは生まれました。だから訳は乗換です。
遠征数4で一度リリースすると決めた中の最後がこのTransferで、いよいよバランス調整という段階に入り、Transferの内容はチームの判断による択が多く調整が不可能だと気づきました。作っていたのが徹夜明けだったのもあり、考えるのを放棄してリリースし今に至ります。唯一気を配ったバランスとして、配置した弾薬とツールによる総出力ダメージが、想定される全ての戦闘で必要なダメージ量の1.2倍程度になっています。

### Secondary
上述の通り、Transferはあくまで乗換です。しかしながら、道中で物資を回収するというフレーバーがあっても良いと考えました。副目標には、タービンの回収を割り当てました。なおアラームの内容ですが、先にOverloadのMOMENTARY ALARMがあり、こちらはその対となるようデザインされています。

### Overload
(前略)。しかしながら、囚人達には上手く弾薬が配備されなかったというフレーバーがあっても良いと考えました。オーバーロード目標には、弾薬の回収を割り当てました。入場後数十秒で自動的にオーバーロード目標が完了となります。
ところで、当初このフレーバーをWardenIntelないしProgressionにて表示しようと思っていました。しかしOverloadのバルクヘッドドアアラームは初動の弾薬が無い状態での実行は不可能になるよう設定されています(が、実はCheeseがあります。Nerf前にそれを利用しクリアしたプレイヤーの動画が上がっています！)。さらにこの表示が上手くできませんでした。なので修正せず、表示されない状態としていましたが、気づいたら表示されるようになっていました。また初見殺しとなるのは本望ではないためアラーム名称で示唆をしたかったのですが、英語力が不足し単語が思いつきませんでした。ChatGPTとやり取りしながら、MOMENTARY ALARMと決定しました。


## Enlighten: 諦悟
個人的な見解として、ゲームの高難易度は2種類に分かれます。「初見殺しを抑え、初見でも実力で突破できるもの」「初見殺しになるのは諦め、調査や試行ありきのチャート組みを要求するもの」の2つです。GTFOはそのハイブリッドであるゲームと考えていますが、実際には高難易度帯で後者に偏っていきます。しかしプレイヤー視点ですと経験値がありますから、ある程度"悟り"、初見殺しを回避できる傾向にあります。

### Main
当初予定から大幅に変更されたステージです。いつもそうなのですが、メインは引き算で、セカンダリは足し算で作られていきます。Enlightenはそもそもメインが重く何度も削り、それでもセカンダリ系を入れるのは良くないと思いました。やはりコードハントリアクターは単品で十分重いと思います。私は今特にR4E1とR5C2とR6D3の悪口を言っています。
バランス調整面ですが、作成にあたり全てのランダウンの高難易度なリアクターウェーブについて、ウェーブの総出現量を数えました。結果最も体感的に難しいウェーブ(R5B1, R7E1)でも、Tankのような特殊な例を除き1分あたりの出現する敵の総HPが1800を超えることはなさそうでした。従って本リアクターでは、「平均して」1800程度になるよう作成しています。実際の数字ですが、1800, 2500, 1500, 1080, 600です。ただし4/5は短期加速ですし、5/5はウェーブ以外のものもあります。また今回は、3/5, 4/5, 5/5については実際に(無敵モードは使いましたが)行程を実施し、時間を確認して想定される敵との戦闘量を計数しました。これを用いて、想定総HPの1.2倍程度の弾薬を配置しています。それが実行可能かは検証していません。Cortex Starはいつもこうです。
3/5についてここで解説しておきます。S1アラームの敵は総数が決まって(Limited)います。認証を諦め、3/5ウェーブをもう一度通すことで次回認証の頃にはウェーブが尽きていますから、Scout鳴きを避けてスキャンを踏むことが出来るでしょう。
またTransmissionの英文についてですが、ある種バランス調整を諦めたという趣旨です。想像や力の及ばぬことに迷うのはやめ、未練を諦めることで、一歩悟りに近づくのです。ちなみに私は仏教徒ではないです。宗教について調べるのは好きですが。


## Curse: 呪縛
人はいつも何かに追われています。しかし追われているからこそ、ベストのパフォーマンスが出せるのです。
あなたは遠征を通して何かに追われることになるでしょう。

### Main
R8D2でそれを見た時、ビビっときました。というかR8D2でタイマンをする際は単に間延びしすぎです。この雑魚の出現量なら、このような役回りが望ましいでしょう。
Cortex Starでは、このために召喚アビリティのクールダウンを伸ばしています。
ミッション内容としては、手が塞がるプレイヤーがいるのが望ましいと考えました。従ってメインの目標はジェネレータクラスターです。

### Secondary
Immortalベースの呪いもあってよいでしょう。内容については、Immortalと接触する回数が増えるよう作りました。


## Vulnerable: 脆弱
経験は知識として定着させなければ意味がありません。しかし、そのためには原理の言語化が必要なはずです。

### Main
特に説明することはありません。DEACTIVATEすればいいだけですね。知らない人が多かったようなので、もしかしたらこれは削除するかもしれません
